package com.iamberry.wechat.service.admin.dao;

import java.util.List;

import com.iamberry.wechat.core.entity.PaperBean;
import com.iamberry.wechat.core.entity.admin.AdminChildInfo;
import com.iamberry.wechat.core.entity.admin.AdminInfo;

public interface AdminAdministratorDAO {
	/**
	 * 新增二級管理員
	 * @param adminchildinfo
	 */
	public void insertadmin(AdminChildInfo adminchildinfo);
	
	/**
	 * 根據用戶名查詢是否有重複用戶
	 * @param adminLoginName
	 * @return
	 */
	public AdminChildInfo selectAdminChildInfoByName(String adminLoginName);
	/**
	 * 查詢所有二級管理員
	 * @return
	 */
	public List<AdminChildInfo> selectAdminChildInfoByList(PaperBean bean);
	
	/**
	 * 模糊查詢所有二級管理員
	 * @return
	 */
	public List<AdminChildInfo> selectAdminChildInfoByNameList(PaperBean bean);
	
	/**
	 * 删除二级管理员
	 * @param adminid
	 * @return 
	 */
	public int deleteAdminChildInfoById(String adminid);
	/**
	 * 根据id查找二级管理员
	 * @param adminid
	 */
	public AdminChildInfo selectAdminChildInfoById(String adminid);
	
	/**
	 * 根据id修改二级管理员
	 * @param adminchildinfo
	 * @return
	 */
	public Integer updateAdminChildInfoById(AdminChildInfo adminchildinfo);
	
	/**
	 * 根据id修改二级管理员权限
	 * @param adminid
	 */
	public Integer updatePermissionsById(String adminid, String adminStatus);

	/**
	 * 获取二级管理员的总数量
	 */
	public int selectAdminChildInfoByCount();
	
	/**
	 * 模糊查询二级管理员的数量
	 */
	public int selectAdminChildInfoByNameCount(String adminLoginName);
	
	/**
	 * 修改二级管理员密码
	 */
	public void updateAdminByPwd(AdminChildInfo adminchildinfo);
	
	/**
	 * 修改超级管理员密码
	 */
	public void updateSuperAdminByPwd(AdminInfo admininfo);
}
